MPI_File_write_all(3OpenMPI)

NAME
MPI_File_write_all - Writes a file starting at the locations specified by individual file pointers (blocking, collective).

SYNTAX
C Syntax
    #include <mpi.h>
    int MPI_File_write_all(MPI_File fh, void *buf,
    	      int count, MPI_Datatype datatype, MPI_Status *status)
Fortran Syntax
    INCLUDE 'mpif.h'
    MPI_FILE_WRITE_ALL(FH,  BUF, COUNT,
    	       DATATYPE, STATUS,  IERROR)
	 <type>		BUF(*)
    	 INTEGER	FH, COUNT, DATATYPE, STATUS(MPI_STATUS_SIZE),
			IERROR

C++ Syntax
#include <mpi.h>
void MPI::File::Write_all(const void* buf, int count,
	const MPI::Datatype& datatype, MPI::Status& status)
void MPI::File::Write_all(const void* buf, int count,
	const MPI::Datatype& datatype)

INPUT PARAMETERS

fh  File handle (handle).

buf Initial address of buffer (choice).

count
    Number of elements in buffer (integer).

datatype
    Data type of each buffer element (handle).

OUTPUT PARAMETERS

status
    Status object (status).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_File_write_all is a collective routine that attempts to write into the file associated with fh (at the current individual file pointer position maintained by the system) a total number of count data items having datatype type from the user's buffer buf. The data is written into those parts of the file specified by the current view. MPI_File_write_all stores the number of datatype elements actually written in status. All other fields of status are undefined.

It is erroneous to call this function if MPI_MODE_SEQUENTIAL mode was specified when the file was opened.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. For MPI I/O function errors, the default error handler is set to MPI_ERRORS_RETURN. The error handler may be changed with MPI_File_set_errhandler; the predefined error handler MPI_ERRORS_ARE_FATAL may be used to make I/O errors fatal. Note that MPI does not guarantee that an MPI program can continue past an error.